# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::KeyValues Class Reference

A set of key/value pairs usually used to associate generic information, tags, attributes etc. to another class. More...

`#include <KeyValues.hpp>`

Inheritance diagram for vl::KeyValues:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| KeyValues ()
bool | has (const String &key) const
String | value (const String &key) const
String & | set (const String &key)
void | erase (const String &key)
void | getKeys (std::vector< String > &keys) const
void | clear ()
const std::map< String, String > & | keyValueMap () const
std::map< String, String > & | keyValueMap ()
void | print ()

## Protected Attributes

std::map< String, String > | mKeyValues

## Detailed Description

A set of key/value pairs usually used to associate generic information, tags, attributes etc. to another class.

Definition at line 42 of file KeyValues.hpp.

## Constructor & Destructor Documentation

KeyValues::KeyValues | ( | ) |

Definition at line 39 of file KeyValues.cpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::KeyValues::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Definition at line 45 of file KeyValues.hpp.

bool vl::KeyValues::has | ( | const String & | key ) | const`[inline]`

Definition at line 49 of file KeyValues.hpp.

String KeyValues::value | ( | const String & | key ) | const

Definition at line 44 of file KeyValues.cpp.

References vl::Log::error(), and mKeyValues.

Referenced by vl::Image::contrastHounsfieldAuto().

String& vl::KeyValues::set | ( | const String & | key ) | `[inline]`

Definition at line 53 of file KeyValues.hpp.

void vl::KeyValues::erase | ( | const String & | key ) | `[inline]`

Definition at line 55 of file KeyValues.hpp.

void KeyValues::getKeys | ( | std::vector< String > & | keys ) | const

Definition at line 56 of file KeyValues.cpp.

References mKeyValues.

void vl::KeyValues::clear | ( | ) | `[inline]`

Definition at line 59 of file KeyValues.hpp.

Referenced by vl::Molecule::reset().

const std::map<String,String>& vl::KeyValues::keyValueMap | ( | ) | const`[inline]`

Definition at line 61 of file KeyValues.hpp.

std::map<String,String>& vl::KeyValues::keyValueMap | ( | ) | `[inline]`

Definition at line 63 of file KeyValues.hpp.

void KeyValues::print | ( | ) |

Definition at line 63 of file KeyValues.cpp.

References mKeyValues, and vl::Log::print().

## Member Data Documentation

std::map<String,String> vl::KeyValues::mKeyValues`[protected]`

Definition at line 68 of file KeyValues.hpp.

Referenced by getKeys(), print(), and value().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/KeyValues.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/KeyValues.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:33.
Permission is granted to use this page to write and publish articles regarding Visualization Library.